OCS Inventory NG Forums

OCS Inventory NG, an OpenSource computer inventory and package deployement system for Windows and Unix

You are not logged in.

#1 2008-11-04 17:12:06

gusdog
Member
Registered: 2008-10-30
Posts: 2

*** ERROR: PERL module SOAP::Lite is not installed !

I have just setup a fresh install VM with Freebsd 7, I have installed all required packages using porteasy from freshports.org.  When running the setup.sh, everything goes well until the part where it checks for Perl Modules in the Communications Server setup.  Below is what I get:

+----------------------------------------------------------+
| Checking for required Perl Modules...                    |
+----------------------------------------------------------+

Checking for DBI PERL module...
Found that PERL module DBI is available.
Checking for Apache::DBI PERL module...
Found that PERL module Apache::DBI is available.
Checking for DBD::mysql PERL module...
Found that PERL module DBD::mysql is available.
Checking for Compress::Zlib PERL module...
Found that PERL module Compress::Zlib is available.
Checking for XML::Simple PERL module...
Found that PERL module XML::Simple is available.
Checking for Net::IP PERL module...
Found that PERL module Net::IP is available.
Checking for SOAP::Lite PERL module...
*** ERROR: PERL module SOAP::Lite is not installed !

Installation aborted !

But I have SOAP installed:

p5-SOAP-Lite-0.710.08 SOAP::Lite - Client and server side SOAP implementation

I am fairly new to *nix systems and have followed instructions.  This error came up when I installed with Appache13 and Apache22 (I upgraded becasue we have other needs for Apache22)

Offline

#2 2008-11-05 14:58:35

gusdog
Member
Registered: 2008-10-30
Posts: 2

Re: *** ERROR: PERL module SOAP::Lite is not installed !

If there is anyone out there that could provide some assistance, I would really appreciate it.  I ended up created another fresh clean install of FREEBSD 7 and installed ONLY OCS-INVENTORY and its dependencies.

vm-freebsd7-2# pkg_info
apache-1.3.41       The extremely popular Apache http server. Very fast, very c
autoconf-2.62       Automatically configure source code on many Un*x platforms
autoconf-wrapper-20071109 Wrapper script for GNU autoconf
emacs-22.2_1        GNU editing macros
expat-2.0.1         XML 1.0 parser written in C
freetype2-2.3.7     A free and portable TrueType font rendering engine
gettext-0.17_1      GNU gettext package
gmake-3.81_3        GNU version of 'make' utility
help2man-1.36.4_2   Automatically generating simple manual pages from program o
jpeg-6b_7           IJG's jpeg compression utilities
libiconv-1.11_1     A character set conversion library
libtool-1.5.26      Generic shared library support script
libxml2-2.6.32_1    XML parser library for GNOME
linux_base-fc-4_10  Base set of packages needed in Linux mode (for i386/amd64)
m4-1.4.11,1         GNU m4
mod_perl-1.30       Embeds a Perl interpreter in the Apache server
mysql-client-5.0.67_1 Multithreaded SQL database (client)
ocsinventory-ng-1.01_2 Open Computer and Software Inventory Next Generation
p5-Apache-DBI-1.06_1 DBI persistent connection, authentication and authorization
p5-Compress-Raw-Zlib-2.015 Low-Level Interface to zlib compression library
p5-Compress-Zlib-2.015 Perl5 interface to zlib compression library
p5-Convert-BinHex-1.119 Perl module to extract data from Macintosh BinHex files
p5-Crypt-SSLeay-0.57 Perl5 interface to allow p5-libwww LWP to make https connec
p5-DBD-mysql50-4.006 MySQL 5.0 driver for the Perl5 Database Interface (DBI)
p5-DBI-1.60.4       The perl5 Database Interface.  Required for DBD::* modules
p5-Email-Date-Format-1.002 Produce RFC 2822 date strings
p5-File-Temp-0.20   Perl5 module to generate temporary files or directories saf
p5-HTML-Parser-3.56_1 Perl5 module for parsing HTML documents
p5-HTML-Tagset-3.20 Some useful data table in parsing HTML
p5-IO-Compress-Base-2.015 Base Class for IO::Uncompress modules
p5-IO-Compress-Zlib-2.015 Perl5 interface for reading and writing of (g)zip files
p5-IO-Socket-SSL-1.17 Perl5 interface to SSL sockets
p5-IO-stringy-2.110 Perl5 module for using IO handles with non-file objects
p5-MIME-Base64-3.07 Perl5 module for Base64 and Quoted-Printable encodings
p5-MIME-Lite-3.02.1 A simple interface for creating (not parsing!) MIME message
p5-MIME-Tools-5.427,2 A set of perl5 modules for MIME
p5-MIME-Types-1.24  Perl extension for determining MIME types
p5-Mail-Tools-2.04  Perl5 modules for dealing with Internet e-mail messages
p5-Math-BigInt-1.89 Math::BigInt - Arbitrary size integer math package
p5-Net-IP-1.25      Perl extension for manipulating IPv4/IPv6 addresses
p5-Net-SSLeay-1.35  Perl5 interface to SSL
p5-SOAP-Lite-0.710.08 SOAP::Lite - Client and server side SOAP implementation
p5-Storable-2.18    Persistency for perl data structures
p5-TimeDate-1.16,1  Perl5 module containing a better/faster date parser for abs
p5-URI-1.37         Perl5 interface to Uniform Resource Identifier (URI) refere
p5-XML-NamespaceSupport-1.09_1 A simple generic namespace support class
p5-XML-Parser-2.36  Perl extension interface to James Clark's XML parser, expat
p5-XML-SAX-0.96     Simple API for XML
p5-XML-SAX-Expat-0.40 Simple API for XML
p5-XML-Simple-2.18  Trivial API for reading and writing XML (esp config files)
p5-gettext-1.05_2   Message handling functions
p5-libwww-5.819     Perl5 library for WWW access
pecl-zip-1.9.0      A PECL extension to create and read zip files
perl-5.8.8_1        Practical Extraction and Report Language
php5-5.2.6_2        PHP Scripting Language
php5-gd-5.2.6_2     The gd shared extension for php
php5-mysql-5.2.6_2  The mysql shared extension for php
php5-pcre-5.2.6_2   The pcre shared extension for php
php5-session-5.2.6_2 The session shared extension for php
php5-xml-5.2.6_2    The xml shared extension for php
php5-zlib-5.2.6_2   The zlib shared extension for php
pkg-config-0.23_1   A utility to retrieve information about installed libraries
png-1.2.32          Library for manipulating PNG images
porteasy-2.8.4      A tool for fetching and building ports
t1lib-5.1.2,1       A Type 1 Rasterizer Library for UNIX/X11
vm-freebsd7-2#

Thanks

Offline

#3 2008-11-07 17:57:17

dliroulet
OCS Team
From: Toulouse, France
Registered: 2007-03-12
Posts: 1,834
Website

Re: *** ERROR: PERL module SOAP::Lite is not installed !

Hi.

could you run on your computer command

perl -mSOAP::Lite -e 'print "PERL module SOAP::Lite is available\n"'

What's the ouput ?

Cheers


IRC Channel #ocsinventory-ng on FreeNode

Offline

#4 2009-01-23 14:44:49

david
Member
Registered: 2007-08-21
Posts: 9

Re: *** ERROR: PERL module SOAP::Lite is not installed !

I want to install OCS Inventory 1.01 on a CentOS 5.2 with Groundwork and NeDi just installed.

I have the same problem as gusdog, and I have tried the command of dliroulet, and this is the result:

Weak references are not implemented in the version of perl at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2447
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2447.
Compilation failed in require.
BEGIN failed--compilation aborted.

Any idea?

EDIT -------

Weak References for Perl are also installed.

Last edited by david (2009-01-26 14:24:53)

Offline

#5 2009-01-27 16:03:29

goneri
Banned
From: Paris
Registered: 2007-06-01
Posts: 2,281

Re: *** ERROR: PERL module SOAP::Lite is not installed !

Unless you need the SOAP backend (Very unlikely in most of the case) you can ignore this error.

Offline

#6 2009-04-21 16:37:07

pr_bond
Member
From: France - Caen (14)
Registered: 2009-04-21
Posts: 2

Re: *** ERROR: PERL module SOAP::Lite is not installed !

Helo

I have had an error with the XML::Entites and i do :


# sudo perl -MCPAN -e shell
cpan[1]> upgrade

After a long time

# sudo perl -MCPAN -e shell
cpan[1]> install XML::Entites

that all

Bye A+


Mon nom est Bond, James Bond!
OCSNG_UNIX_SERVER-1.02
Ubuntu 8.04.2

Offline

#7 2010-04-26 16:20:20

ricardo_rn
Member
Registered: 2010-04-26
Posts: 2

Re: *** ERROR: PERL module SOAP::Lite is not installed !

Hi
I have the same problem with the SOAP::Lite

I made what dliroulet said and the output is this one:

Can't locate version.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at /usr/lib/perl5/site_perl/5.8.8/SOAP/Packager.pm line 17.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/SOAP/Packager.pm line 17.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.8/SOAP/Lite.pm line 3425.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/SOAP/Lite.pm line 3425.
Compilation failed in require.
BEGIN failed--compilation aborted.

I have installed the SOAP::Lite by cpan but got this error what you reccomend me? plz i need some help with this is the only error i got and need to install this asap

Offline

#8 2010-04-26 16:55:08

lesmikesell
Top member
Registered: 2008-02-12
Posts: 360

Re: *** ERROR: PERL module SOAP::Lite is not installed !

Are you doing a yum install from the remi repo?  I thought it pulled in the dependencies automatically.

Offline

Board footer

Powered by FluxBB

Serveur dédié, hébergement web, infogérance et nom  de domaine - NFrance Conseil